import 'package:card_app/data/dtos/words_dto.dart';
import 'package:card_app/domain/models/card.dart';
import 'package:card_app/domain/models/home.dart';

const _imagePlaceholder =
    'https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcS69a8OWnRueQNykBpuyfbGxl3gt5ct46NOHg&s';

extension WordDataDtoToModel on WordDataDto {
  CardData toDomain() => CardData(
        word: attributes?.name ?? 'UNKNOWN',
        image: attributes?.image ?? _imagePlaceholder,
        translation: '${attributes?.born}',
    id: id,
      );
}

extension WordsDtoToModel on WordsDto {
  HomeData toDomain() => HomeData(
        data: data?.map((e) => e.toDomain()).toList(),
        nextPage: meta?.pagination?.next,
      );
}
